cascading.flow.planner.graph

## Class FlowElementGraph

- java.lang.Object
- - cascading.flow.planner.graph.BaseElementGraph
  - - cascading.flow.planner.graph.BaseAnnotatedElementGraph
    - - cascading.flow.planner.graph.ElementMultiGraph
      - - cascading.flow.planner.graph.FlowElementGraph

- All Implemented Interfaces:
    AnnotatedGraph, ElementGraph, java.io.Serializable

      public class FlowElementGraph
      extends ElementMultiGraph
      implements AnnotatedGraph

  Class ElementGraph represents the executable FlowElement graph.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.flow.planner.graph.ElementMultiGraph

      `ElementMultiGraph.DirectedMultiGraph`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Map<java.lang.String,Tap>` | `checkpoints` Field checkpoints
    `protected PlatformInfo` | `platformInfo` Field platformInfo
    `protected java.util.Map<java.lang.String,Tap>` | `sinks` Field sinks
    `protected java.util.Map<java.lang.String,Tap>` | `sources` Field sources
    `protected java.util.Map<java.lang.String,Tap>` | `traps` Field traps

    - ### Fields inherited from class cascading.flow.planner.graph.BaseAnnotatedElementGraph

      `annotations`

    - ### Fields inherited from class cascading.flow.planner.graph.BaseElementGraph

      `graph, NULL`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FlowElementGraph()`
    `` | `FlowElementGraph(FlowElementGraph flowElementGraph)`
    `` | `FlowElementGraph(Pipe[] pipes, java.util.Map<java.lang.String,Tap> sources, java.util.Map<java.lang.String,Tap> sinks)`
    `` | `FlowElementGraph(PlatformInfo platformInfo, ElementGraph elementGraph, java.util.Map<java.lang.String,Tap> sources, java.util.Map<java.lang.String,Tap> sinks, java.util.Map<java.lang.String,Tap> traps, java.util.Map<java.lang.String,Tap> checkpoints)`
    `` | `FlowElementGraph(PlatformInfo platformInfo, Pipe[] pipes, java.util.Map<java.lang.String,Tap> sources, java.util.Map<java.lang.String,Tap> sinks, java.util.Map<java.lang.String,Tap> traps, java.util.Map<java.lang.String,Tap> checkpoints, boolean requireUniqueCheckpoints)` Constructor ElementGraph creates a new ElementGraph instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `allowMultipleExtentEdges()`
    `ElementGraph` | `copyElementGraph()`
    `java.util.Map<java.lang.String,Tap>` | `getCheckpointsMap()`
    `org.jgrapht.traverse.DepthFirstIterator<FlowElement,Scope>` | `getDepthFirstIterator()` Method getDepthFirstIterator returns the depthFirstIterator of this ElementGraph object.
    `java.util.Map<java.lang.String,Tap>` | `getSinkMap()`
    `java.util.Collection<Tap>` | `getSinks()`
    `java.util.Map<java.lang.String,Tap>` | `getSourceMap()`
    `java.util.Collection<Tap>` | `getSources()`
    `org.jgrapht.traverse.TopologicalOrderIterator<FlowElement,Scope>` | `getTopologicalIterator()` Method getTopologicalIterator returns the topologicalIterator of this ElementGraph object.
    `java.util.Map<java.lang.String,Tap>` | `getTrapMap()`
    `java.util.Collection<Tap>` | `getTraps()`
    `protected void` | `initialize(java.util.Map<java.lang.String,Tap> sources, java.util.Map<java.lang.String,Tap> sinks, Pipe... tails)`
    `boolean` | `isResolved()`
    `void` | `setResolved(boolean resolved)`
    `protected FlowElementGraph` | `shallowCopyElementGraph()`
    `void` | `writeDOT(java.lang.String filename)` Method writeDOT writes this element graph to a DOT file for easy visualization and debugging.

    - ### Methods inherited from class cascading.flow.planner.graph.BaseAnnotatedElementGraph

      `addParentAnnotations, getAnnotations, hasAnnotations, hashCode`

    - ### Methods inherited from class cascading.flow.planner.graph.BaseElementGraph

      `addEdge, addEdge, addHeadVertex, addTailVertex, addVertex, bindExtents, containsEdge, containsEdge, containsVertex, copyFrom, edgeSet, edgesOf, equals, getAllEdges, getEdge, getEdgeSource, getEdgeTarget, incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf, predecessorListOf, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, successorListOf, vertexSet, vertexSetCopy`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface cascading.flow.planner.graph.AnnotatedGraph

      `getAnnotations, hasAnnotations`

    - ### Methods inherited from interface cascading.flow.planner.graph.ElementGraph

      `addEdge, addEdge, addHeadVertex, addTailVertex, addVertex, bindExtents, containsEdge, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeSource, getEdgeTarget, incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf, predecessorListOf, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, successorListOf, vertexSet, vertexSetCopy`

- - ### Field Detail

    - #### platformInfo

          protected PlatformInfo platformInfo

      Field platformInfo

    - #### sources

          protected java.util.Map<java.lang.String,Tap> sources

      Field sources

    - #### sinks

          protected java.util.Map<java.lang.String,Tap> sinks

      Field sinks

    - #### traps

          protected java.util.Map<java.lang.String,Tap> traps

      Field traps

    - #### checkpoints

          protected java.util.Map<java.lang.String,Tap> checkpoints

      Field checkpoints

  - ### Constructor Detail

    - #### FlowElementGraph

          protected FlowElementGraph()

    - #### FlowElementGraph

          public FlowElementGraph(FlowElementGraph flowElementGraph)

    - #### FlowElementGraph

          public FlowElementGraph(PlatformInfo platformInfo,
                          ElementGraph elementGraph,
                          java.util.Map<java.lang.String,Tap> sources,
                          java.util.Map<java.lang.String,Tap> sinks,
                          java.util.Map<java.lang.String,Tap> traps,
                          java.util.Map<java.lang.String,Tap> checkpoints)

    - #### FlowElementGraph

          public FlowElementGraph(Pipe[] pipes,
                          java.util.Map<java.lang.String,Tap> sources,
                          java.util.Map<java.lang.String,Tap> sinks)

    - #### FlowElementGraph

          public FlowElementGraph(PlatformInfo platformInfo,
                          Pipe[] pipes,
                          java.util.Map<java.lang.String,Tap> sources,
                          java.util.Map<java.lang.String,Tap> sinks,
                          java.util.Map<java.lang.String,Tap> traps,
                          java.util.Map<java.lang.String,Tap> checkpoints,
                          boolean requireUniqueCheckpoints)

      Constructor ElementGraph creates a new ElementGraph instance.
      Parameters:
        `pipes` - of type Pipe[]
        `sources` - of type Map
        `sinks` - of type Map

  - ### Method Detail

    - #### getSourceMap

          public java.util.Map<java.lang.String,Tap> getSourceMap()

    - #### getSinkMap

          public java.util.Map<java.lang.String,Tap> getSinkMap()

    - #### getTrapMap

          public java.util.Map<java.lang.String,Tap> getTrapMap()

    - #### getCheckpointsMap

          public java.util.Map<java.lang.String,Tap> getCheckpointsMap()

    - #### getSources

          public java.util.Collection<Tap> getSources()

    - #### getSinks

          public java.util.Collection<Tap> getSinks()

    - #### getTraps

          public java.util.Collection<Tap> getTraps()

    - #### initialize

          protected void initialize(java.util.Map<java.lang.String,Tap> sources,
                        java.util.Map<java.lang.String,Tap> sinks,
                        Pipe... tails)

    - #### shallowCopyElementGraph

          protected FlowElementGraph shallowCopyElementGraph()

    - #### isResolved

          public boolean isResolved()

    - #### setResolved

          public void setResolved(boolean resolved)

    - #### allowMultipleExtentEdges

          protected boolean allowMultipleExtentEdges()

      Overrides:
        `allowMultipleExtentEdges` in class `BaseElementGraph`

    - #### getTopologicalIterator

          public org.jgrapht.traverse.TopologicalOrderIterator<FlowElement,Scope> getTopologicalIterator()

      Method getTopologicalIterator returns the topologicalIterator of this ElementGraph object.
      Returns:
        the topologicalIterator (type TopologicalOrderIterator) of this ElementGraph object.

    - #### getDepthFirstIterator

          public org.jgrapht.traverse.DepthFirstIterator<FlowElement,Scope> getDepthFirstIterator()

      Method getDepthFirstIterator returns the depthFirstIterator of this ElementGraph object.
      Returns:
        the depthFirstIterator (type DepthFirstIterator) of this ElementGraph object.

    - #### writeDOT

          public void writeDOT(java.lang.String filename)

      Method writeDOT writes this element graph to a DOT file for easy visualization and debugging.
      Specified by:
        `writeDOT` in interface `ElementGraph`
      Overrides:
        `writeDOT` in class `BaseElementGraph`
      Parameters:
        `filename` - of type String

    - #### copyElementGraph

          public ElementGraph copyElementGraph()

      Specified by:
        `copyElementGraph` in interface `ElementGraph`
      Overrides:
        `copyElementGraph` in class `ElementMultiGraph`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.